Create Recurring Charge: Entrata
https://api.propexo.com/v1/recurring-resident-charges/entrata/| Method |
|---|
| leases/sendScheduledCharges |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the integration
The Propexo unique identifier for the lease
The Propexo unique identifier for the resident
The Propexo unique identifier for the charge code
The amount of the recurring resident charge, in cents
Possible values: > 0
The start date associated with the recurring resident charge. Format will be converted to MM/DD/YYYY for Entrata
Show 2 variants
Description of the recurring resident charge
The end date associated with the recurring resident charge. Format will be converted to MM/DD/YYYY for Entrata
Show 2 variants
The month-to-month amount for the recurring charge in cents
Possible values: > 0
The month-to-month fee for the recurring charge in cents
Possible values: > 0
The last date the charge was posted. Format will be converted to MM/DD/YYYY for Entrata
Show 2 variants
The propexo charge timing ID that defines when the charge should be applied
The propexo charge code type ID
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the lease
The Propexo unique identifier for the resident
The Propexo unique identifier for the charge code
The amount of the recurring resident charge, in cents
Possible values: > 0
Show 2 variants
Description of the recurring resident charge
The end date associated with the recurring resident charge. Format will be converted to MM/DD/YYYY for Entrata
Show 2 variants
The month-to-month amount for the recurring charge in cents
Possible values: > 0
The month-to-month fee for the recurring charge in cents
Possible values: > 0
The last date the charge was posted. Format will be converted to MM/DD/YYYY for Entrata
Show 2 variants
The propexo charge timing ID that defines when the charge should be applied
The propexo charge code type ID
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/recurring-resident-charges/entrata/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"lease_id": "string",
"resident_id": "string",
"charge_code_id": "string",
"amount_in_cents": 0,
"start_date": "2024-07-29T15:51:28.071Z",
"charge_timing_id": "string",
"charge_code_type_id": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lease_id": "string",
"resident_id": "string",
"charge_code_id": "string",
"amount_in_cents": 0,
"start_date": "2024-07-29T15:51:28.071Z",
"description": "string",
"end_date": "2024-07-29T15:51:28.071Z",
"month_to_month_amount_in_cents": 0,
"month_to_month_fee_in_cents": 0,
"last_posted_date": "2024-07-29T15:51:28.071Z",
"charge_timing_id": "string",
"charge_code_type_id": "string"
}
}